Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

Using Mozilla FIrefox I now keep gettng a display that says I must install a new "plug-in". How can I make sure this "plug-in" is secure?

  • 1 reply
  • 1 has this problem
  • 16 views
  • Last reply by user633449

more options

Lately I've been receiving requests to update a "plug-in". This is a new message, and I can't get to my usual web sites without upgrading a "plug-in". A list of "plug-ins" is then displayed that require updating. How secure is this update page? Should I log in to your Mozilla web site to insure security? I don't want to be a victim of "phishing". Thank you, Dave Hatch

All Replies (1)

more options

https://www.mozilla.org/en-US/plugincheck/ will show you a complete list of the plugins you need to update (and you have alot)

Modified by user633449